Bug 122760 - kernel oopses while starting the loader
kernel oopses while starting the loader
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 14:28 EDT by Brent Fox
Modified: 2015-01-04 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from FC1 (10.18 KB, text/plain)
2004-12-19 19:11 EST, Dan Kane
no flags Details
installer oops for FC3 on dimension 4500s (1.59 KB, text/plain)
2004-12-19 19:21 EST, Dan Kane
no flags Details

  None (edit)
Description Brent Fox 2004-05-07 14:28:18 EDT
This is with FC2 test 3 on a Dell Dimension 4500 S.  I boot off the cd
and the kernel oopses immediately after entering the loader.  Here is
the oops:



running install
running /sbin/loader
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[c01233e8]   Not tainted
EFLAGS: 00010202   (2.6.5-1.327)
EIP is at __request_resource+0x24/0x41
eax: 1fcdb001   ebx: df36a200   ecx: c033355c   edx: c0004014
esi: ffa00bff   edi: ffa00800   ebp: ffa00800   dsp: dfa4ceb4
ds: 007b   es: 007b   ss:0068
Process loader (pid: 53, threadinfo=dfa4c000 task=dfa52740)
Stack: df36a200 c033355c df36a21c c0123684 df36a200 00000400 e0945dc0
00000000
       c15e9000 ffa00800 c02655b3 e0945d40 dfe31680 00000400 e0945dc0
dfe31680
       c019ecb2 c15e9000 e0947380 ffffffed 00000000 c01d0328 c15e9000
e0947380
Call Trace:
 [<c0123684>] __request_region+0x56/0x79
 [<c02655b3>] usb_hcd_pci_probe+0xc6/0x3e7
 [<c019ecb2>] create_dir+0x7c/0x99
 [<c01d0328>] pci_device_probe_static+0x2a/0x3d
 [<c01d0356>] __pci_device_probe+0x1b/0x2c
 [<c01d0382>] pci_device_probe+0x1b/0x2d
 [<c021dbd7>] bus_match+0x27/0x45
 [<c021dca3>] driver_attach+0x37/0x6a
 [<c021deb5>] bus_add_driver+0x6a/0x81
 [<c021e1bf>] driver_register+0x48/0xa0
 [<c01d04e0>] pci_register_driver+0x84/0xa0
 [<e08a3018>] init+0x18/0x23 [ehci_hcd]
 [<c0137488>] sys_init_module+0x1ef/0x2c6
 [<c02e63dc>] sysenter_past_esp+0x45/0x69

Code: 39 70 04 76 0c 89 43 14 31 c0 89 1a 89 4b 10 eb 08 8d 50 14
 <6> USB Universal Host Controller Interface driver v2.2
Comment 1 Brent Fox 2004-05-07 14:44:16 EDT
Also, booting with 'linux nousb noprobe' avoids the oops.  However,
just using 'linux nousb' or 'linux noprobe' doesn't avoid the oops. 
But when both nousb and noprobe are used, the loader will finish starting.
Comment 2 Lars Damerow 2004-07-29 20:55:45 EDT
I'm seeing a similar problem on a Dell Precision 670, a dual 64-bit
Intel machine. It happens whether I kickstart the machine or install
from CD.

Specifying the noprobe option alone avoids the oops for me, but then
and oops occurs when manually choosing drivers. The oops then happens
when loading the e1000 or sata_sis drivers.

Once the oops has happened, the loader then hangs.

Here's the first oops I had, without the noprobe option:

Unable to handle kernel paging request at ffffffffa0120e90 RIP:
<ffffffff801b4e94>{kobject_add+117}PML4 103027 PGD 105027 PMD bf38c067
PTE 0
Oops: 0002 [1]
CPU 0
Pid: 216, comm: loader Not tainted 2.6.5-1.358
RIP: 0010:[<ffffffff801b4e94>] <ffffffff801b4e94>{kobject_add+117}
RSP: 0018:00000100be65be98  EFLAGS: 00010282
RAX: ffffffff803a3d68 RBX: ffffffffa0100610 RCX: ffffffffa0120e90
RDX: ffffffffa0100630 RSI: 0000000000000014 RDI: ffffffff803a3d78
RBP: ffffffff803a3d78 R08: 0000000000000246 R09: 0000000000000202
R10: ffffff000004f4d8 R11: ffffffffa0100600 R12: ffffffffa01005e8
R13: 0000000000000000 R14: 0000000000000000 R15: 0000007fbfffedf4
FS:  0000000000000000(0000) GS:ffffffff8045b200(0000)
knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffffffffa0120e90 CR3: 0000000000101000 CR4: 00000000000006e0
Process loader (pid: 216, stackpage=100bf225000)
Stack: ffffffffa0100610 00000000ffffffea ffffffffa01005e8 ffffffff801b4f0a
       0000000000000246 ffffffffa0100610 ffffffff803a3cc0 ffffffff801fdf8d
       0000000000000246 ffffffffa01005a0
Call Trace:<ffffffff801b4f0a>{kobject_register+30}
<ffffffff801fdf8d>{bus_add_driver+70}
       <ffffffff801fe222>{driver_register+50}
<ffffffff801bdc3d>{pci_register_driver+97}
       <ffffffffa010200d>{:ata_piix:piix_init+13}
<ffffffff80141f27>{sys_init_module+239}
       <ffffffff80110f6e>{system_call+126}
                                                                     
                                 
Code: 48 89 11 48 89 4a 08 48 8b 43 38 48 8b 38 48 83 c7 78 e8 51
RIP <ffffffff801b4e94>{kobject_add+177} RSP <00000100be65be98>
CR2: ffffffffa0120e90

I copied it offscreen by hand, so there might be a typo or two in
there...

thanks!
-lars
Comment 3 Dave Jones 2004-11-29 05:06:33 EST
fixed in fc2-final/fc3 ?
Comment 4 Dan Kane 2004-11-29 10:42:18 EST
As described in the initial post, the kernel 'oopses' on my Dell
Dimension 4500 S at the same point and in the same manner, when
installing FC3-final.

Specifying 'linux noprobe' will allow the install to proceed, yet when
completed, the kernel 'oopses' upon reboot...and then enters an
endless reboot->oops->reboot cycle.

Needless to say...I'm just a tad heartbroken ;-)
Comment 5 Dave Jones 2004-12-07 01:30:06 EST
can you paste the oops from the fc3 install ?
Comment 6 Brent Fox 2004-12-08 13:56:32 EST
I no longer have access to this machine.  Hopefully the other posters can
reproduce with FC3 final.
Comment 7 Lars Damerow 2004-12-08 16:00:42 EST
I'll try to get my hands on the machine again--it's been moved to another
department, but I should be able to get it back.
Comment 8 Dan Kane 2004-12-16 11:06:22 EST
Sincere apologies for my tardiness...I thought this bugzilla thang
would email me with a notification of additional comments...my snafu ;-)

I'm not sure how to get the oops redirected to a textfile, so I'll
manually write it all down...if it helps fix it for fc4, I'll be happy!

Back soon...
Comment 9 Chris Adie 2004-12-19 07:34:26 EST
I'm also seeing this exact problem on a new PC built from bits by a
local computer store.  It runs FC1 just fine, but crashes with
register domp and stack trace when booting from an FC3 DVD unless I
use linux noprobe.  If I do that, it installs OK, but then when I
remove the DVD and reboot to complete installation it starts to load
the OS then enters an endless crash/reboot cycle.
Comment 10 Dan Kane 2004-12-19 19:11:25 EST
Created attachment 108867 [details]
dmesg output from FC1
Comment 11 Dan Kane 2004-12-19 19:21:36 EST
Created attachment 108868 [details]
installer oops for FC3 on dimension 4500s
Comment 12 Dan Kane 2004-12-19 19:24:44 EST
OK...as promised...a dump of the FC3 installer oops (108868)

Also included a dmesg dump for more info on my machine (108867)

Hope they are of some help :-)
Comment 13 Dan Kane 2005-03-21 12:51:14 EST
Just tried FC4t1...no 'oops' this time, but the installer hangs after testing
AGPGART..."linux noprobe" and "linux skipddc" (and combined) have no effect.

The last line of output before it hangs is a report about finding some "stolen
memory", presumably reserved by the onboard (but unused) AGP graphics chipset.

The saga continues ;-)
Comment 14 Dave Jones 2005-07-15 15:43:26 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 15 Dave Jones 2005-10-02 20:24:37 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.